import { Readable } from 'svelte/store';
interface SpringOpts {
    stiffness?: number;
    damping?: number;
    precision?: number;
}
declare type SpringUpdateOpts = {
    hard?: any;
    soft?: string | number | boolean;
};
interface Spring<T = any> extends Readable<T> {
    set: (new_value: T, opts?: SpringUpdateOpts) => (Promise<T> | Promise<T>);
    precision: number;
    update: (fn: any, opts: SpringUpdateOpts) => Promise<T>;
    damping: number;
    stiffness: number;
}
export declare function spring<T = any>(value: T, opts?: SpringOpts): Spring<any>;
export {};
